Bug 478226 - Penrose Server fails to connect to ODBC data sources on Ubuntu using unixodbc
Penrose Server fails to connect to ODBC data sources on Ubuntu using unixodbc
Status: NEW
Product: penrose
Classification: Retired
Component: Connectors (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:09 EST
To reproduce:
Create a working connection to an ODBC data source  using JdbcOdbcDriver for Penrose Server on Windows.
Export to Penrose Server on Ubuntu Linux and create the corresponding configuration in unixodbc and mdbtools. Start Penrose Server on Ubuntu and it will fail: "[unixODBC][Driver Manager]Data source name not found, and no default driver specified"

This issue may be related to PENROSE-255: Penrose Studio uses local ODBC instead of server side and fails



=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Connectors',
                              'id' => '10059'
                            }
                          ],
          'reporter' => 'webdb22',
          'key' => 'PENROSE-256',
          'assignee' => 'jimyang',
          'summary' => 'Penrose Server fails to connect to ODBC data sources on Ubuntu using unixodbc',
          'id' => '10835',
          'updated' => '2007-09-02 17:21:08.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'To reproduce:
Create a working connection to an ODBC data source  using JdbcOdbcDriver for Penrose Server on Windows.
Export to Penrose Server on Ubuntu Linux and create the corresponding configuration in unixodbc and mdbtools. Start Penrose Server on Ubuntu and it will fail: "[unixODBC][Driver Manager]Data source name not found, and no default driver specified"

This issue may be related to PENROSE-255: Penrose Studio uses local ODBC instead of server side and fails

',
          'created' => '2007-09-02 17:21:08.0',
          'environment' => 'Penrose Server 1.2.4 on Ubuntu 6.06.1 using unixodbc 2.2.11 and mdbtools 0.5.99',
          'type' => '1'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.